
/*****************************************************************************
 *****************************************************************************
 Section: MACRO DEFINITION'S
 *****************************************************************************
 *****************************************************************************/
#define FCY 		20000000             		// 20 MHz
#define BITRATE 	500000		 			// 500Kbps
#define NTQ 		10
#define BRP_VAL		((FCY/(2*NTQ*BITRATE))-1)
#define NUM_OF_ECAN_BUFFERS 	32

#define SJW_1TQ             0
#define WAKFIL_NOLINFIL     0
#define SEG2PH_3TQ          2
#define SEG2PHTS_FREEPGM    1
#define SAM_THRTIM          1
#define SEG1PH_3TQ          2
#define PRSEG_3TQ           2
/*****************************************************************************
  Section: File Scope Variables, Functions, Initializations
 *****************************************************************************/
#define PORT_RP97   14
#define PORT_RPI96   0x60
#define OUTPUT_PORT 0
#define INPUT_PORT  1


#define CAN_TXDATA      70
#define CAN_RXDATA      34
#define TRANS_CNT       7

#define SIZE_WORD       0
#define DIR_PERTORAM    0
#define AMODE_PER       2
#define MODE_CON        0
#define DIR_RAMTOPER    1
#define DMA_CHEN        1

#define BUF_WIN         0
#define FILT_WIN        1
#define DMA_32BUF       6
#define FSA_32RXBUF     31
#define SET_CONF_MODE   4
#define SET_NORMAL_MODE 0
#define TX_BUF          1
#define HIGH_PRIO       3
#define EN_FILTER       1
#define DIS_FILTER      0
#define RX_BUFFER       10
#define FIL_MASK0       0

#define MASK_SID        0x0000
#define FIL_SID         0x0000

#define MASK_EXIDE      1
#define FIL_EXIDE       0

#define TXREQ_ENABLE    1

#define CAN_INF_DISABLE 0x0000
#define CAN_INT_ENREG   0x00FF

#define ENABLE          1
#define DISABLE         0