
#include <p33EV256GM106.h>

/* 
 * File:   types.h
 * Author: svijay
 *
 * Created on December 20, 2016, 5:34 PM
 */


typedef unsigned char uchar8_t;
typedef unsigned int uint16_t;
typedef float    double32_t;
typedef signed int sint16_t;
typedef float  float32_t;

#define TRUE                      (0x01U)
#define FALSE                     (0x00U)
# define ENABLE_LEG_H1L1              0xC000
//# define ENABLE_LEG_L1              0xC000
# define ENABLE_LEG_H2L2              0xC000
//# define ENABLE_LEG_L2              0xC000
# define ENABLE_LEG_H3L3              0xC000
//# define ENABLE_LEG_L3              0xC000
# define DISABLE_LEG                0X0000 
#define DISABLE_ALL_LOW_LEGS      (0x00U)
#define DISABLE_ALL_HIGH_LEGS     (0x00U)
#define ENABLE_ALL_HIGH_LEGS       (ENABLE_LEG_H1 | ENABLE_LEG_H2 | ENABLE_LEG_H3) 
#define ENABLE_ALL_LOW_LEGS        (ENABLE_LEG_L1 | ENABLE_LEG_L2 | ENABLE_LEG_L3)

